$ SET TERM/WIDTH=80
$ TYPE SYS$INPUT
Program MANTEL3, December 1989.

This program uses 2 or 3 dissimilarity matrices; two for Mantel tests
(they are then called A and B), and three for partial Mantel tests
(in which case they are called A, B and C). Similarity matrices can be
used instead of dissimilarity matrices, but mixing types would unduly
complicate the interpretation.

Matrix A : It can be a SIMIL dissimilarity matrix. If this is the case,'
$
$ INQUIRE FICH  "name of the file that contains this matrix"
$ IF FICH .EQS. "" THEN GOTO J1
$ DEF/NOLOG ENTREE1 'FICH'
$
$ J1:
$ TYPE SYS$INPUT

COORDINATES OF THE POINTS:
If the points form a regular, rectangular grid, no file is required'
to compute matrix A of geographic distances among points. If not,'
and if you have not provided (above) a file for matrix A, the '
program will need a file containing the coordinates of the objects.'
$
$ INQUIRE FICH  "Name of this file, if any"
$ IF FICH .EQS. "" THEN GOTO J2
$ DEF/NOLOG ENTREEC 'FICH'
$
$ J2:
$ TYPE SYS$INPUT

MATRICE 'B' :
B is a SIMIL dissimilarity matrix.
$
$ INQUIRE FICH  "Name of the file that contains it"
$ DEF/NOLOG ENTREE2 'FICH'
$
$ TYPE SYS$INPUT

MATRICE 'C' :
When matrix C is needed, it is also a SIMIL dissimilarity matrix.$
$ INQUIRE FICH "Name of the file that contains it, if any"
$ IF FICH .EQS. "" THEN GOTO J3
$ DEF/NOLOG ENTREE3 'FICH'
$
$ J3:
$ TYPE SYS$INPUT

DISTANCE CLASSES:
To compute a Mantel correlogram, a file should be attached to the'
run, that contains an upper triangular matrix of distance classes,'
without diagonal.
$
$ INQUIRE FICH "Name of this file, if any"
$ IF FICH .EQS. "" THEN GOTO J4
$ DEF/NOLOG ENTREEC 'FICH'
$
$ J4:
$ SET TERM/WIDTH=80
$ ASSIGN/USER SYS$COMMAND SYS$INPUT
$ RUN MANTEL3
