$ SET TERM/WIDTH=80
$ TYPE SYS$INPUT

SPATIAL AUTOCORRELATION analysis.

CAREFUL: If you use a SIMIL-type matrix,
it must be a DISTANCE, not a similarity matrix !!!


For all options except 12 and 13, you need to provide a file of
DATA VALUES. For options 12 and 13 on the other hand, you
have to provide a file of COORDINATES containing also, in the
third column, the VALUES of the variable.


For option 13 (Delaunay), if you want to impose constraint
segments, they must be written in that same file, at the end
of the list of object data, each in the form of 2 points
(4 coordinates) describing the segment.
 
$
$ WRITE SYS$OUTPUT "*** You MUST provide a data file name, even if you don't "
$ WRITE SYS$OUTPUT "*** need the correlogram but need only the list of link edges. "
$ INQUIRE FICH "Name of this file ( EX: DATA.DAT )"
$ IF FICH .EQS. "" THEN GOTO J0
$ DEF/NOLOG ENTREEC 'FICH'
$
$ J0:
$ TYPE SYS$INPUT


For option 0, you need to provide a binary DISTANCE matrix,
produced by SIMIL or IMPORT.
Make sure that it is NOT a similarity matrix.
$
$ INQUIRE FICH "Name of the file containing this matrix, if any"
$ IF FICH .EQS. "" THEN GOTO J1
$ DEF/NOLOG ENTREEB 'FICH'
$
$ J1:
$ WRITE SYS$OUTPUT " "
$ WRITE SYS$OUTPUT "For option 14, name of the matrix of DISTANCE"
$ INQUIRE FICH "CLASSES, if any (Square or upper triangular matrix)"
$ IF FICH .EQS. "" THEN GOTO J2
$ DEF/NOLOG CLASSEF 'FICH'
$
$ J2:
$ WRITE SYS$OUTPUT " "
$ WRITE SYS$OUTPUT "For option 15, name of the file of LINK EDGES that"
$ INQUIRE FICH "you have prepared, if any"
$ IF FICH .EQS. "" THEN GOTO J3
$ DEF/NOLOG LIEN 'FICH'
$
$ J3:
$ WRITE SYS$OUTPUT " "
$ WRITE SYS$OUTPUT "Name do you want to give to the output file "
$ INQUIRE FICH "containing the correlogram"
$ DEF/NOLOG SORTIEC 'FICH'
$ 
$ WRITE SYS$OUTPUT " "
$ WRITE SYS$OUTPUT "Name of the file of LINK EDGES written by this program,"
$ INQUIRE FICH " if any"
$ IF FICH .EQS. "" THEN GOTO J5
$ DEF/NOLOG LIEN 'FICH'
$
$ J5:
$ WRITE SYS$OUTPUT " "
$ WRITE SYS$OUTPUT "Name of the file containing the CLASSEF matrix "
$ WRITE SYS$OUTPUT "(upper triangular matrix of distance classes, needed"
$ INQUIRE FICH "for Mantel correlograms), if any"
$ IF FICH .EQS. "" THEN GOTO J6
$ DEF/NOLOG CLASSEF 'FICH'
$
$ J6:
$ SET TERM/WIDTH=80
$ ASSIGN/USER SYS$COMMAND SYS$INPUT
$ RUN AUTOCOR
