$ SET TERM/WIDTH=80
$ WRITE SYS$OUTPUT "Program RAND."
$ WRITE SYS$OUTPUT " "
$ TYPE SYS$INPUT

This program computes the Jaccard and the Rand statistics between two
partitions of the same objects. Typically, one of these partitions is
known a priori, while the second one has been obtained by clustering.

Reference: 
Milligan, G.W. 1983. Characteristics of four external criterion
   measures. Pp. 167-173 in: J. Felsenstein, ed. Numerical Taxonomy. 
   NATO ASI Series, Vol. G-1. Springer-Verlag, Berlin.
   
The program is dimensioned for 100 objects. It assumes that unclassified
objects are coded "0".

$
$ INQUIRE FICH "Name of the file containing the A PRIORI CLASSIFICATION vector"
$ DEF/NOLOG FOR001 'FICH'
$
$ WRITE SYS$OUTPUT " "
$ INQUIRE FICH "Name of the file containing the CLUSTERING RESULT vector"
$ DEF/NOLOG FOR002 'FICH'
$
$ SET TERM/WIDTH=80
$ ASSIGN/USER SYS$COMMAND SYS$INPUT
$ RUN RAND
